org.apache.ode.axis2.httpbinding

## Class ProxyConf

- java.lang.Object
- - org.apache.ode.axis2.httpbinding.ProxyConf

-     public class ProxyConf
      extends java.lang.Object

  The purpose of this class is to configure proxy for HttpClient.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTTP_NON_PROXY_HOSTS`
    `static java.lang.String` | `HTTP_PROXY_HOST`
    `static java.lang.String` | `HTTP_PROXY_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyConf()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `configure(org.apache.commons.httpclient.HostConfiguration hostConfig, org.apache.commons.httpclient.HttpState state, org.apache.axis2.transport.http.HttpTransportProperties.ProxyProperties proxyProperties)`
    `static boolean` | `isNonProxyHost(java.lang.String targetHost)`
    `static boolean` | `isProxyEnabled(org.apache.commons.httpclient.params.HttpParams params, java.lang.String targetHost)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_PROXY_HOST

          public static final java.lang.String HTTP_PROXY_HOST

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_PORT

          public static final java.lang.String HTTP_PROXY_PORT

      See Also:
        Constant Field Values

    - #### HTTP_NON_PROXY_HOSTS

          public static final java.lang.String HTTP_NON_PROXY_HOSTS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProxyConf

          public ProxyConf()

  - ### Method Detail

    - #### configure

          public static void configure(org.apache.commons.httpclient.HostConfiguration hostConfig,
                                       org.apache.commons.httpclient.HttpState state,
                                       org.apache.axis2.transport.http.HttpTransportProperties.ProxyProperties proxyProperties)

    - #### isProxyEnabled

          public static boolean isProxyEnabled(org.apache.commons.httpclient.params.HttpParams params,
                                               java.lang.String targetHost)
                                        throws org.apache.commons.httpclient.URIException

      Returns:
        true if a proxy is set in the params, or in the system property "http.proxyHost" and the host is not mentionnned in the system property "http.nonProxyHosts"
      Throws:
        `org.apache.commons.httpclient.URIException`
      See Also:
        `Properties.PROP_HTTP_PROXY_PREFIX`

    - #### isNonProxyHost

          public static boolean isNonProxyHost(java.lang.String targetHost)

      Returns:
        true if the targetHost is mentioned in the system properties "http.nonProxyHosts"
      See Also:
        `http://java.sun.com/j2se/1.5.0/docs/guide/net/properties.html`